apiVersion: batch/v1
kind: CronJob
metadata:
  name: garbage-collect
  namespace: registry
spec:
  schedule: "14 3 * * 6" # 3:14 every saturday
  concurrencyPolicy: Forbid
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: OnFailure
          serviceAccountName: gc
          containers:
            - name: gc
              image: ghcr.io/utopia-planitia/registry-garbage-collection:latest@sha256:ca3825cfef2b873f6de6149439dff35ba4d389a8112e9f29ab2559b622703db9
              command:
                - sh
                - /gc/garbage-collect.sh
              volumeMounts:
                - name: gc-script
                  mountPath: /gc/
              resources:
                limits:
                  cpu: 100m
                  memory: 100Mi
                requests:
                  cpu: 100m
                  memory: 100Mi
          volumes:
            - name: gc-script
              configMap:
                name: gc-script
